varying vec2 texCoord;
varying vec3 normal;
varying vec3 worldPos;
void main()
{	
	texCoord = vec2(gl_MultiTexCoord0 * gl_TextureMatrix[0]);
	worldPos = vec3(gl_ModelViewMatrix * gl_Vertex);
	normal = (gl_NormalMatrix * gl_Normal);
	gl_Position = ftransform();		
}